NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.SketchProjectBuilder Class Reference

Represents a NXOpen.SketchProjectBuilder builder More...

Inheritance diagram for NXOpen.SketchProjectBuilder:
NXOpen.Features.EmbeddedOperationBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  OutputCurve { Original, SplineSegment, SingleSpline }
 This enum represents the kind of output curves More...
 

Properties

unsafe bool Associativity [get, set]
 Returns or sets the associativity of projection. More...
 
unsafe NXOpen.SelectNXObjectList CurveList [get]
 Returns the curve list. More...
 
unsafe
NXOpen.SketchProjectBuilder.OutputCurve 
CurveType [get, set]
 Returns or sets the output curve type generated by the projection. More...
 
unsafe bool ProjectAsDumbFixedCurves [get, set]
 Returns or sets the flag to indicate if the projection output needs to be converted to dumb fully fixed curves in the sketch. More...
 
unsafe NXOpen.Section Section [get]
 Returns the section. More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance value used for the projection. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.EmbeddedOperationBuilder
unsafe NXOpen.Features.Feature CommitOperation ()
 Commits the operation and creates the feature. More...
 
unsafe NXOpen.Features.Feature GetOperation ()
 Returns the feature currently being edited by this builder. More...
 

Detailed Description

Represents a NXOpen.SketchProjectBuilder builder

To create a new instance of this class, use NXOpen.SketchCollection.CreateProjectBuilder

Default values.

Property Value

Associativity

True

CurveType

Original

Created in NX5.0.0

Member Enumeration Documentation

This enum represents the kind of output curves

Enumerator
Original 

original curve output

SplineSegment 

spline segment output

SingleSpline 

single spline output

Property Documentation

unsafe bool NXOpen.SketchProjectBuilder.Associativity
getset

Returns or sets the associativity of projection.

If this variable is turned on, the output curves will always depend on the input curves. So that when the input curves change, the output curves will change accordingly. If this variable is set to false, the output curves derive their shape from current stage of the input curves and then become independent of the input curves. In drafting mode, one can not project curves in associative manner. Also if the curves belong to multiple parts, they can not be projected in associative manner.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.SelectNXObjectList NXOpen.SketchProjectBuilder.CurveList
get

Returns the curve list.

The curves to project should be added to this list only if they belong to multiple parts and they are to be projected in non associative manner. All the curves to be projected should either go to the section or the curve list depending on their owning parts.

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SketchProjectBuilder.OutputCurve NXOpen.SketchProjectBuilder.CurveType
getset

Returns or sets the output curve type generated by the projection.

Depending on this value, the projected curve can have the same geometry as the input curves or it can be a single spline curve or a set of splines.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchProjectBuilder.ProjectAsDumbFixedCurves
getset

Returns or sets the flag to indicate if the projection output needs to be converted to dumb fully fixed curves in the sketch.

This flag overrides the associativity flag i.e. if both projectAsDumbFixed and associativity are set to true, the result will be dumb fixed curves and not an associative projection.

Created in NX7.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Section NXOpen.SketchProjectBuilder.Section
get

Returns the section.

The curves to project should be added to the section if they do not belong to multiple parts. All the curves to be projected should either go to the section or the curve list depending on their owning parts.

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.SketchProjectBuilder.Tolerance
getset

Returns or sets the tolerance value used for the projection.

The same value is used for the tolerances related to the section.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.